package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MaterialInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 素材信息
 *
 * @author: jeecg-boot
 * @date: 2019-10-11
 * @cersion: V1.0
 */
public interface MaterialInfoMapper extends BaseMapper<MaterialInfo> {

    String selectUserNameById(@Param("auditorId") String auditorId);

    Integer selectCountByMap(Map<String, Object> requestMap);

    String getRoleCodeByUserId(@Param("userId") String userId);

    Integer getKuaishouUpVideoCount(@Param("code") String code);

    Integer getToutiaoUpVideoCount(@Param("code") String code);

    JSONObject getGeneralizationInfo(@Param("code") String code);

    List<String> getEffiSignature();

    MaterialInfo getMaterialInfoByCode(@Param("code") String code);

    Long getProjectIdByAccountId(@Param("accountId") Long accountId);
}
